This entry control the port state, like filter broadcast, linkstatus...
Sources for this description
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.171.11.7.1.2.2.1
This entry control the port state, like filter broadcast, linkstatus...
Identification
{1 3 6 1 4 1 171 11 7 1 2 2 1}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
swPortCtrlEntry OBJECT-TYPE
SYNTAX SwPortCtrlEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"This entry control the port state, like filter broadcast,
linkstatus..."
INDEX { swPortCtrlGroupIndex,swPortCtrlIndex }
::= { swPortCtrlTable 1 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
This entry control the port state, like filter broadcast, linkstatus...
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: swPortCtrlEntry
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"swPortCtrlEntry",
"OBJECT-TYPE",
"SYNTAX",
"SwPortCtrlEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"This entry control the port state, like filter broadcast, linkstatus...\"",
"INDEX",
"{",
"swPortCtrlGroupIndex",
",",
"swPortCtrlIndex",
"}",
"::=",
"{",
"swPortCtrlTable",
"1",
"}"
],
"syntax_tree": [
[
"row",
"SwPortCtrlEntry"
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"This entry control the port state, like filter broadcast, linkstatus..."
],
null,
null,
[
"INDEX",
[
[
0,
"swPortCtrlGroupIndex"
],
[
0,
"swPortCtrlIndex"
]
]
],
null
]
}Module: DES2218-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'TimeTicks', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Related source files and packages:
Vendor MIB copy from the Observium Community archive. D-Link support.
Module: DES2218-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'TimeTicks', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.7.1.2.2.1.1 | swPortCtrlGroupIndex | 0 | 0 | |
| 1.3.6.1.4.1.171.11.7.1.2.2.1.2 | swPortCtrlIndex | 0 | 0 | |
| 1.3.6.1.4.1.171.11.7.1.2.2.1.3 | swPortCtrlAdminState | 0 | 0 | |
| 1.3.6.1.4.1.171.11.7.1.2.2.1.4 | swPortCtrlDuplexState | 0 | 0 | |
| 1.3.6.1.4.1.171.11.7.1.2.2.1.5 | swPortCtrlLinkStatusAlarmState | 0 | 0 | |
| 1.3.6.1.4.1.171.11.7.1.2.2.1.6 | swPortCtrlFilterBcastState | 0 | 0 | |
| 1.3.6.1.4.1.171.11.7.1.2.2.1.7 | swPortCtrlForwardUnknowState | 0 | 0 | |
| 1.3.6.1.4.1.171.11.7.1.2.2.1.8 | swPortCtrlPartitionStatus | 0 | 0 | |
| 1.3.6.1.4.1.171.11.7.1.2.2.1.9 | swPortCtrlNegotiationStatus | 0 | 0 | |
| 1.3.6.1.4.1.171.11.7.1.2.2.1.10 | swPortCtrlSpeedStatus | 0 | 0 |